import { DocumentNode } from 'graphql';
type Obj = {
    [key: string]: unknown;
};
/**
 * An interface for GraphQL clients for Content Hub APIs
 */
export interface GraphQLClient {
    /**
     * Execute graphql request
     * @param {string | DocumentNode} query graphql query
     * @param {Object} variables graphql variables
     */
    request<T>(query: string | DocumentNode, variables?: {
        [key: string]: unknown;
    }): Promise<T>;
}
export declare class LabelService {
    private language;
    /**
     *
     */
    constructor(language?: string);
    getLabelsForView<TLabel extends Obj>(labelId: string): Promise<TLabel | null>;
}
export {};
